# esp32_BNO08x: BNO08xCbGeneric Class Reference

Loading...
Searching...
No Matches
BNO08xCbGeneric Class Referenceabstract

Parent class to represent callback functions as generic type such that all flavors can be invoked by single type. More...

`#include <BNO08xCbGeneric.hpp>`

Inheritance diagram for BNO08xCbGeneric:
[legend]

## Public Member Functions

virtual void | invoke (uint8_t rpt_ID)=0
virtual | ~BNO08xCbGeneric ()=default

## Public Attributes

uint8_t | rpt_ID

## Protected Member Functions

| BNO08xCbGeneric (uint8_t rpt_ID)

## Detailed Description

Parent class to represent callback functions as generic type such that all flavors can be invoked by single type.

## Constructor & Destructor Documentation

## ~BNO08xCbGeneric()

virtual BNO08xCbGeneric::~BNO08xCbGeneric | ( |  | ) |

virtualdefault

## BNO08xCbGeneric()

BNO08xCbGeneric::BNO08xCbGeneric | ( | uint8_t | rpt_ID | ) |

inlineprotected

## Member Function Documentation

## invoke()

virtual void BNO08xCbGeneric::invoke | ( | uint8_t | rpt_ID | ) |

pure virtual

Implemented in BNO08xCbParamRptID, and BNO08xCbParamVoid.

Here is the caller graph for this function:

## Member Data Documentation

## rpt_ID

uint8_t BNO08xCbGeneric::rpt_ID

The documentation for this class was generated from the following file:

- include/callback/BNO08xCbGeneric.hpp